package cn.teammodel.controller.admin.service;

import cn.teammodel.model.dto.admin.appraise.TimeRangeDto;
import cn.teammodel.model.dto.weekDuty.LessonRecordDto;
import cn.teammodel.model.vo.admin.DutyIndexData;
import cn.teammodel.model.vo.admin.DutyNodeRankVo;
import cn.teammodel.model.vo.admin.DutyRankPo;
import com.google.gson.JsonElement;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * @author winter
 * @create 2024-02-28 15:07
 */
public interface AdminIndexDutyService {
    DutyIndexData getIndexData(TimeRangeDto timeRangeDto);

    List<DutyRankPo> classRank(TimeRangeDto timeRangeDto);

    List<DutyRankPo> teacherRank(TimeRangeDto timeRangeDto);

    List<DutyNodeRankVo> appraiseNodeRank(TimeRangeDto timeRangeDto);

    Map<String, Object> getLessonRecord (LessonRecordDto lessonRecordDto, HttpServletRequest request);

}
